> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/avd/host-pool/fslogix/general.md).

# General

## Get

> Retrieves the FSLogix General Settings of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/General":{"get":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//General Settings"],"summary":"Get","description":"Retrieves the FSLogix General Settings of a session server with the specified ID.","operationId":"f42d19f3-2e1f-4641-84ba-2b626a32ebbd","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to retrieve the FSLogix General Settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/FSLogixGeneralSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"FSLogixGeneralSettings":{"type":"object","properties":{"appServices":{"$ref":"#/components/schemas/AppServicesSettings"},"cloudCacheGeneral":{"$ref":"#/components/schemas/CloudCacheGeneralSettings"},"logging":{"$ref":"#/components/schemas/FSLogixLoggingSettings"}},"additionalProperties":false,"description":"<para type=\"synopsis\">FSLogix General Settings</para>\r\n<para type=\"description\"></para>"},"AppServicesSettings":{"type":"object","properties":{"useCleanupInvalidSessions":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Cleanup invalid sessions' option is enabled or disabled.</para>"},"cleanupInvalidSessions":{"$ref":"#/components/schemas/EnableState"},"useRoamRecycleBin":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Roam recycle bin' option is enabled or disabled.</para>"},"roamRecycleBin":{"$ref":"#/components/schemas/EnableState"},"useVHDCompactDisk":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'VHD compact disk' option is enabled or disabled.</para>"},"vhdCompactDisk":{"$ref":"#/components/schemas/EnableState"}},"additionalProperties":false,"description":"<para type=\"synopsis\">FSLogix App Services Settings</para>\r\n<para type=\"description\"></para>"},"EnableState":{"enum":[["0 = Disable","1 = Enable"]],"type":"string","description":"<para type=\"synopsis\">Enable State values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"CloudCacheGeneralSettings":{"type":"object","properties":{"useCacheDirectory":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Cache directory' option is enabled or disabled.</para>"},"cacheDirectory":{"type":"string","description":"<para type=\"description\">Specifies the 'Cache directory'.</para>","nullable":true},"useWriteCacheDirectory":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Write cache directory' option is enabled or disabled.</para>"},"writeCacheDirectory":{"type":"string","description":"<para type=\"description\">Specifies the 'Write cache directory'.</para>","nullable":true},"useProxyDirectory":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Proxy directory' option is enabled or disabled.</para>"},"proxyDirectory":{"type":"string","description":"<para type=\"description\">Specifies the 'Proxy directory'.</para>","nullable":true},"useSilenceACLWarning":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Silence ACL warning' option is enabled or disabled.</para>"},"silenceACLWarning":{"$ref":"#/components/schemas/EnableState"}},"additionalProperties":false,"description":"<para type=\"synopsis\">FSLogix Cloud Cache General Settings</para>\r\n<para type=\"description\"></para>"},"FSLogixLoggingSettings":{"type":"object","properties":{"logEnabled":{"$ref":"#/components/schemas/FSLogixLogEnabled"},"logLevel":{"$ref":"#/components/schemas/FSLogixLogLevel"},"logFileKeepingPeriod":{"type":"integer","description":"<para type=\"description\">Specifies the 'Log keeping period in days'. Default: '2'.</para>","format":"int32"},"logDirectory":{"type":"string","description":"<para type=\"description\">Specifies the 'Log directory'. Default: '%ProgramData%\\FSLogix\\Logs'.</para>","nullable":true},"robocopyLogPath":{"type":"string","description":"<para type=\"description\">Specifies the 'Robocopy log path'.</para>","nullable":true},"logSpecificComponents":{"$ref":"#/components/schemas/LogSpecificComponents"}},"additionalProperties":false,"description":"<para type=\"synopsis\">FSLogix Logging Settings</para>\r\n<para type=\"description\"></para>"},"FSLogixLogEnabled":{"enum":[["0 = Disable","1 = Specific","2 = All"]],"type":"string","description":"<para type=\"synopsis\">Log enabled values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"FSLogixLogLevel":{"enum":[["0 = Debug","1 = Information","2 = Warning","3 = Error"]],"type":"string","description":"<para type=\"synopsis\">FSLogix log level values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"LogSpecificComponents":{"enum":[["1 = ProfileConfigTool","2 = IEPlugin","4 = RuleEditor","8 = JavaRuleEditor","16 = FSLogixAgentService","32 = Profile","64 = JavaLauncher","128 = OfficeContainer","256 = RuleCompilation","512 = FontVisibility","1024 = Network","2048 = PrinterVisibility","4096 = ADSComputerGroup","8192 = DriverInterface","16384 = WindowsSearchRoaming","32768 = WindowsSearchPlugin","65536 = ProcessStartMonitor"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Log specific components values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update the FSLogix General Settings of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/FSLogix/General":{"put":{"tags":["0-Infrastructure/AVD/Host Pool/FSLogix//General Settings"],"summary":"Update","description":"Update the FSLogix General Settings of a session server with the specified ID.","operationId":"2e6d4a34-1837-4784-98c6-b62241094776","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the FSLogix General Settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"FSLogix General Settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetFSLogixGeneralSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetFSLogixGeneralSettings":{"type":"object","properties":{"useCleanupInvalidSessions":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Cleanup invalid sessions' option is enabled or disabled.</para>","nullable":true},"cleanupInvalidSessions":{"$ref":"#/components/schemas/EnableState"},"useRoamRecycleBin":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Roam recycle bin' option is enabled or disabled.</para>","nullable":true},"roamRecycleBin":{"$ref":"#/components/schemas/EnableState"},"useVHDCompactDisk":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'VHD compact disk' option is enabled or disabled.</para>","nullable":true},"vhdCompactDisk":{"$ref":"#/components/schemas/EnableState"},"useCacheDirectory":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Cache directory' option is enabled or disabled.</para>","nullable":true},"cacheDirectory":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Cache directory'.</para>","nullable":true},"useWriteCacheDirectory":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Write cache directory' option is enabled or disabled.</para>","nullable":true},"writeCacheDirectory":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Write cache directory'.</para>","nullable":true},"useProxyDirectory":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Proxy directory' option is enabled or disabled.</para>","nullable":true},"proxyDirectory":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Proxy directory'.</para>","nullable":true},"useSilenceACLWarning":{"type":"boolean","description":"<para type=\"description\">Specifies if the 'Silence ACL warning' option is enabled or disabled.</para>","nullable":true},"silenceACLWarning":{"$ref":"#/components/schemas/EnableState"},"logEnabled":{"$ref":"#/components/schemas/FSLogixLogEnabled"},"logLevel":{"$ref":"#/components/schemas/FSLogixLogLevel"},"logFileKeepingPeriod":{"type":"integer","description":"<para type=\"description\">Specifies the 'Log keeping period in days'. Default: '2'.</para>","format":"int32","nullable":true},"logDirectory":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Log directory'. Default: '%ProgramData%\\FSLogix\\Logs'.</para>","nullable":true},"robocopyLogPath":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Specifies the 'Robocopy log path'.</para>","nullable":true},"logSpecificComponents":{"$ref":"#/components/schemas/LogSpecificComponents"}},"additionalProperties":false},"EnableState":{"enum":[["0 = Disable","1 = Enable"]],"type":"string","description":"<para type=\"synopsis\">Enable State values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"FSLogixLogEnabled":{"enum":[["0 = Disable","1 = Specific","2 = All"]],"type":"string","description":"<para type=\"synopsis\">Log enabled values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"FSLogixLogLevel":{"enum":[["0 = Debug","1 = Information","2 = Warning","3 = Error"]],"type":"string","description":"<para type=\"synopsis\">FSLogix log level values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"LogSpecificComponents":{"enum":[["1 = ProfileConfigTool","2 = IEPlugin","4 = RuleEditor","8 = JavaRuleEditor","16 = FSLogixAgentService","32 = Profile","64 = JavaLauncher","128 = OfficeContainer","256 = RuleCompilation","512 = FontVisibility","1024 = Network","2048 = PrinterVisibility","4096 = ADSComputerGroup","8192 = DriverInterface","16384 = WindowsSearchRoaming","32768 = WindowsSearchPlugin","65536 = ProcessStartMonitor"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Log specific components values.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/avd/host-pool/fslogix/general.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
